﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;
using Infragistics.Windows.DataPresenter;
using WpfApplication149.ViewModel;


namespace WpfApplication149.ViewModel
{
   public class TestConverter:IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
          //  throw new NotImplementedException();
             DataRecord dr = value as DataRecord;

             ExpandableFieldRecord efr = value as ExpandableFieldRecord;
            if (efr.Field.Name == "Forecasts")
            {
                Node n = efr.ParentDataRecord.DataItem as Node;
                if (n.Child.Count == 0)
                    return double.NaN;
                else return 0;
            }
            else if (efr.Field.Name == "Child")
            {
                Node n = efr.ParentDataRecord.DataItem as Node;
                if (n.Child.Count == 0)
                {
                    return 0;
                }
            }
            
            return  double.NaN;
          
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           // throw new NotImplementedException();
            return value;
        }

        #endregion
    }
}
